Loading...
Searching...
No Matches
Gudhi::cech_complex::SimplicialComplexForCech Struct Reference

The concept SimplicialComplexForCech describes the requirements for a type to implement a simplicial complex, that can be created from a Cech_complex. More...

`#include <concept/Cech_complex/SimplicialComplexForCech.h>`

## Public Types

typedef unspecified | Simplex_handle
typedef unspecified | Vertex_handle
typedef unspecified | Filtration_value

## Public Member Functions

int | assign_filtration (Simplex_handle simplex, Filtration_value filtration)
Simplex_vertex_range | simplex_vertex_range (Simplex_handle const &simplex)
| Returns a range over vertices of a given simplex.
template<class ProximityGraph>
void | insert_graph (const ProximityGraph &proximity_graph)
| Inserts a given Gudhi::ProximityGraph in the simplicial complex.
template<typename Blocker>
void | expansion_with_blockers (int max_dim, Blocker block_simplex)
| Expands the simplicial complex containing only its one skeleton until a given maximal dimension. expansion can be blocked by the blocker oracle.
std::size_t | num_vertices ()

## Detailed Description

The concept SimplicialComplexForCech describes the requirements for a type to implement a simplicial complex, that can be created from a Cech_complex.

## Member Typedef Documentation

## Filtration_value

typedef unspecified Gudhi::cech_complex::SimplicialComplexForCech::Filtration_value

Handle to specify the simplex filtration value.

## Simplex_handle

typedef unspecified Gudhi::cech_complex::SimplicialComplexForCech::Simplex_handle

Handle to specify a simplex.

## Vertex_handle

typedef unspecified Gudhi::cech_complex::SimplicialComplexForCech::Vertex_handle

Handle to specify a vertex. Must be a non-negative integer.

## Member Function Documentation

## assign_filtration()

int Gudhi::cech_complex::SimplicialComplexForCech::assign_filtration | ( | Simplex_handle | simplex,
|  | Filtration_value | filtration )

Assigns the 'simplex' with the given 'filtration' value.

## num_vertices()

std::size_t Gudhi::cech_complex::SimplicialComplexForCech::num_vertices | ( |  | ) |

Returns the number of vertices in the simplicial complex.

The documentation for this struct was generated from the following file:

- concept/Cech_complex/SimplicialComplexForCech.h